|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Protected Member Functions
gameplay::AbsoluteLayout Class Reference

`#include <AbsoluteLayout.h>`

Inheritance diagram for gameplay::AbsoluteLayout:

List of all members.

## Public Member Functions

Layout::Type | getType ()

## Protected Member Functions

void | update (const Container *container)

## Detailed Description

Defines a Layout for forms and containers that requires the user to specify absolute positions for all contained controls.

## Member Function Documentation

Layout::Type gameplay::AbsoluteLayout::getType | ( |  | ) | `[virtual]`

Get the type of this Layout.

Returns:
  Layout::LAYOUT_ABSOLUTE

Implements gameplay::Layout.

void gameplay::AbsoluteLayout::update | ( | const Container * | container | ) | `[protected, virtual]`

Update the controls contained by the specified container.

An AbsoluteLayout does nothing to modify the layout of controls. It simply calls update() on any control that is dirty.

Parameters:

  container | The container to update.

Implements gameplay::Layout.

All Classes Functions Variables Typedefs Enumerations Enumerator